QGIS Application - Feature request #2282
Integrate a spin box in simplify tool dialog
2009-12-15 03:18 AM - Sandro Santill

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 12342
Description

Sometimes the slider used in the simplify tool dialog is unpractical for use (range too wide).
For this purpose, another way to specify the tolerance value would be useful.

Also, the other widget would show the value selected by the slider so the user can see what
tolerance is being applied. A spin box was suggested r1 and | think it's a good choice.

Incidentally, might also be worth to have a way to avoid the 'simplify-on-value-change'
(aka 'preview'?) to reduce cost of moving the slider :)

r1 http:/lists.osgeo.org/pipermail/qgis-developer/2009-December/008617.html

History

#1 - 2011-12-16 01:57 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:42 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Easy fix? set to No
#5 - 2017-05-01 12:02 PM - Regis Haubourg
- Resolution set to fixed/implemented

- Description updated
- Status changed from Open to Closed

Implemented. But there is still a preview of simplified feature. Please open a new request if still necessary.
